Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2086 - kernel compilation error
Summary: kernel compilation error
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: kernel
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-04-09 15:33 UTC by Steingold, Sam
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-04-10 02:40:43 UTC


Attachments (Terms of Use)

Description Steingold, Sam 1999-04-09 15:33:32 UTC
$ rpm -q kernel-source
kernel-source-2.2.5-4
# make dep && make clean && make && make modules && make
install && make modules_install
...
make[1]: Entering directory `/usr/src/linux-2.2.5/drivers'
make -C block modules
make[2]: Entering directory
`/usr/src/linux-2.2.5/drivers/block'
gcc -D__KERNEL__ -I/usr/src/linux/include -Wall
-Wstrict-prototypes -O2 -fomit-frame-pointer -pipe
-fno-strength-reduce -m486 -malign-loops=2 -malign-jumps=2
-malign-functions=2 -DCPU=686 -DMODULE -DMODVERSIONS
-include /usr/src/linux/include/linux/modversions.h   -c -o
DAC960.o DAC960.c
DAC960.c: In function `DAC960_QueueCommand':
DAC960.c:212: warning: suggest explicit braces to avoid
ambiguous `else'
DAC960.c:226: warning: suggest explicit braces to avoid
ambiguous `else'
gcc -D__KERNEL__ -I/usr/src/linux/include -Wall
-Wstrict-prototypes -O2 -fomit-frame-pointer -pipe
-fno-strength-reduce -m486 -malign-loops=2 -malign-jumps=2
-malign-functions=2 -DCPU=686 -DMODULE -DMODVERSIONS
-include /usr/src/linux/include/linux/modversions.h   -c -o
cpqarray.o cpqarray.c
In file included from cpqarray.c:54:
cpqarray.h:34: linux/md.h: No such file or directory
/usr/src/linux/include/linux/blk.h:398: warning: `do_ida'
defined but not used
make[2]: *** [cpqarray.o] Error 1
make[2]: Leaving directory
`/usr/src/linux-2.2.5/drivers/block'
make[1]: *** [_modsubdir_block] Error 2
make[1]: Leaving directory `/usr/src/linux-2.2.5/drivers'
make: *** [_mod_drivers] Error 2

Comment 1 Bill Nottingham 1999-04-09 16:21:59 UTC
turn off the dac960 & compaq smartraid for now unless you
need it. :)

Comment 2 Cristian Gafton 1999-04-10 02:40:59 UTC
Well, I can compile it...


Note You need to log in before you can comment on or make changes to this bug.